#ifndef BANDMODE_H
#define BANDMODE_H

#include <qpushbutton.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qstring.h>

const int profilanz = 20;

class bandmodedlg : public QDialog
{
    Q_OBJECT
public:
  bandmodedlg(QWidget* parent=0);
  
  QCheckBox *boxmess;
  QCheckBox *box160m;
  QCheckBox *box80m;
  QCheckBox *box60m;
  QCheckBox *box40m;
  QCheckBox *box30m;
  QCheckBox *box20m;
  QCheckBox *box17m;
  QCheckBox *box15m;
  QCheckBox *box12m;
  QCheckBox *box10m;
  QCheckBox *box6m;
  QCheckBox *box2m;
  QCheckBox *boxtv1;
  QCheckBox *boxtv2;
  QCheckBox *boxtv3;
  QCheckBox *boxtv4;
  QCheckBox *boxtv5;
  QCheckBox *boxcw;
  QCheckBox *boxlsb;
  QCheckBox *boxusb;
  QCheckBox *boxcwr;
  QCheckBox *boxdig;
  QCheckBox *boxdigr;

public slots:
  void setband(int);
  void setmode(int);

private slots:
  void hideslot();

private:
  void bandallesaus();
  void modeallesaus();

  QPushButton *close;
};

#endif // BANDMODE_H
